Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.display.config.exception
Class DisplayServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.display.config.exception.DisplayServiceException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  IllegalTemplateDefinitionException, TemplateLookupException

    public class DisplayServiceException

extends Exception

This class extends `Exception` class and wraps the exception occurred in the application.

See Also
  Serialized Form

Constructor Summary
`DisplayServiceException()`
`DisplayServiceException(String msg)` Constructor that takes a String message as an argument
`DisplayServiceException(Throwable cause)` Constructor that takes the Throwale object and its message
`DisplayServiceException(Throwable cause, String msg)` Constructor that takes string message and Throwable object as an input parameter

Method Summary
`String` | `getErrorLevel()` Returns the level of error
`Throwable` | `initCause(Throwable cause)` Created to match the JDK 1.4 Throwable method.
`void` | `setErrorLevel(String errorLevel)` Sets the error level

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisplayServiceException

    public DisplayServiceException()

### DisplayServiceException

    public DisplayServiceException(String msg)

  Constructor that takes a String message as an argument

  Parameters
    `msg` -

### DisplayServiceException

    public DisplayServiceException(Throwable cause)

  Constructor that takes the Throwale object and its message

  Parameters
    `cause` -

### DisplayServiceException

    public DisplayServiceException(Throwable cause,
                                   String msg)

  Constructor that takes string message and Throwable object as an input parameter

  Parameters
    `cause` -
    `msg` -

Method Detail

### initCause

    public Throwable initCause(Throwable cause)

  Created to match the JDK 1.4 Throwable method.

  Overrides:
    `initCause` in class `Throwable`
  Parameters
    `cause` -
  Returns
    Throwable - cause

### setErrorLevel

    public void setErrorLevel(String errorLevel)

  Sets the error level

  Parameters
    `errorLevel` - - Error Level

### getErrorLevel

    public String getErrorLevel()

  Returns the level of error

  Returns
    String - Error Level

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.